Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004180Arma 3Enginepublic2013-03-11 23:312014-06-16 21:06
ReporterMcFearless 
Assigned Todazhbog 
PrioritynormalSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
402 vote(s) 98,53%
6 vote(s) 1,47%
Summary0004180: Light sources (except sun and moon) shine their light through objects / do not cast shadows
DescriptionI realize this has been present since ARMA 2, but with the lighting improvements to the new engine I would have thought there would be changes to how light collides with objects.

When shining a something like a flashlight, muzzleflash or chemlight at a building, rock, etc, the light shines through. This causes a major problem for things like nighttime missions, as traversing through urban streets with a flashlight on would cause the light to shine through buildings, and could then be more easily seen by players, enemies, etc.
Steps To ReproduceShine a light at anything, and look at the other side of said object.
Tagschemlights, dynamic lighting, dynamic lights, engine, flashlights, headlights, light, lighting, lights, Shadows
Game Version
Attached Filesjpg file icon 2013-03-11_00004.jpg (164,754 bytes) 2013-03-11 23:31
jpg file icon 1L.jpg (578,904 bytes) 2013-04-30 07:58
jpg file icon 1S.jpg (301,247 bytes) 2013-04-30 07:59
jpg file icon 2L.jpg (781,423 bytes) 2013-04-30 07:59
jpg file icon 2S.jpg (308,868 bytes) 2013-04-30 08:00
jpg file icon 3L.jpg (671,580 bytes) 2013-04-30 08:00
jpg file icon 3S.jpg (291,614 bytes) 2013-04-30 08:01
jpg file icon 4L.jpg (689,281 bytes) 2013-04-30 08:01
jpg file icon 4S.jpg (507,405 bytes) 2013-04-30 08:01
jpg file icon 5L.jpg (381,852 bytes) 2013-04-30 08:01
jpg file icon 5S.jpg (325,191 bytes) 2013-04-30 08:02

- Relationships
has duplicate 0004151closed Headlights don't produce character shadows 
has duplicate 0004146closed Headlights don't produce character shadows 
has duplicate 0005567closed Lights shine through otherwise opaque objects 
has duplicate 0004253closed Lighting foliage at night creates buggy shadows 
has duplicate 0007885closed Dynamic Shadow Sources (Feature Request) 
has duplicate 0008009closed Lighting 
has duplicate 0009097closed Lighting shadows 
has duplicate 0009188closed Flashlights show through walls 
has duplicate 0009345closed Lights go through objects and walls 
has duplicate 0009578closed Player doesn't cast shadows from dynamic light sources 
has duplicate 0009725closed Outdoor light sources will penetrate the houses walls/solid objects etc 
has duplicate 0010916closed Light from street lamps ignoring walls and bridges 
has duplicate 0013213closed Light source penetrate through vehicle. 
has duplicate 0014325closed Light shines through walls! 
has duplicate 0014324closed Light shines through Truck-Plane (at night) 
has duplicate 0015861closed Units don't cast shadows at night when receives artificial light. 

-  Notes
(0008054)
dpatt711 (reporter)
2013-03-12 00:31

Confirmed. Reproducible on all graphics settings.
(0008208)
AussieStig (reporter)
2013-03-12 06:24

This is a huge problem, especially for night time PvP missions.
(0008224)
SQB-SMA (reporter)
2013-03-12 07:44

Major? Downgrade this to minor and I'd vote for it. Dynamic shadows from lights is VERY resource intensive and a huge addition for the game, if BIS has done this and plans to introduce it later on, good on them, if not I see no "major" problem.
(0008452)
ViiK (reporter)
2013-03-12 13:48

You would need to have a shadow map for each of the flashlights, explosions, chemlights, streetlights and etc. Unfortunately there is no technology in realtime rendering available right now which would provide support for hundreds of dynamic shadow casting lights. Probably you could do some smart resource management and try to re-use just 8 shadow maps for the most important lights in your vicinity but this won't work for everyone. Anyone who will simply switch of shadows in PvP missions will have leverage.
(0008488)
Zanderflex (reporter)
2013-03-12 14:38

Really? There is tons of real time dynamic lighting in use in games even older than arma. The only real reason we are not going to get full dynamic lighting is because it would take bohemia a decade to code it.
(0008503)
ViiK (reporter)
2013-03-12 14:54
edited on: 2013-03-12 14:55

Yes, really. There is a huge difference between just "Dynamic Lighting" and "Dynamic Lighting with Shadows". Visibility calculation - aka essential part of knowing what is in shadow and what is not is a very big problem in real time graphics in general, not only in games and not only for shadows.

(0008532)
LeYuno (reporter)
2013-03-12 15:39

confirmed, also this is the same for chemlights.
throw a chemlight next to a building, you'll see the entire interior light up.
(0008536)
aoshi.S2 (reporter)
2013-03-12 15:51

have many games with right shadow, and the arma deserves to be one of them vote up
(0008570)
Make Love Not War (reporter)
2013-03-12 16:28

ViiK knows what he's talking about. I know it looks shit, but this is an unfortuante engine limitation that we're going to have to live with for the forseeable future.
(0008977)
SQB-SMA (reporter)
2013-03-13 08:43

Just to be the devil's advocate, the Forgelite engine used in PlanetSide2 can calculate shadows for huge numbers of lights, but it's a new and very streamlined engine made by a huge team (Sony).
(0010382)
ViiK (reporter)
2013-03-14 20:44

This might be good for marketing pitch but not correct technically. We usually don't call SSAO a solution to global illumination. But it doesn't stop other people from doing so. The same way clipping lights by specifically modeled volumes is not really a shadow rendering technique :) Especially when most of the assets in PS2 a structurally less detailed and just copy pasted.
(0017781)
zorilya (reporter)
2013-04-02 04:34
edited on: 2013-04-02 04:39

This is a Major problem... from a immersion point of view and a technical point of view. dynamic lighting and shadows have been used for ages in lighting engines to cast realistic shadows creating a more immersive environment... what is the point of sticking to the shadows if the wall creating the shadow from the moon cares not if a torch shines on it inadvertantly... you get lit up by accident and are completely visible... Without this there really is no point in making a low-tech night mission... a severe limit in my opinion and easily in the scope of a decent developer like BI.

(0017790)
johncage (reporter)
2013-04-02 05:46

sqb-sma, basically you're saying bis' old ass engine is hopeless. can't disagree with you there, mr. devil's advocate.
(0017950)
BlackLord (reporter)
2013-04-02 16:13

I hope they will be able to fix this.
(0017975)
ShotgunSheamuS (reporter)
2013-04-02 17:17

perhaps with all the upvotes we might get enough attention to have it resolved, or worked around in the forseeable future.

I too expected this to be resolved with the new lighting engine, but i guess not.
(0017977)
Triada (reporter)
2013-04-02 17:20

Keep both hands!
(0023778)
MadDogX (moderator)
2013-04-26 09:51

Updated title and marked as reviewed.
(0023785)
Kid18120 (reporter)
2013-04-26 10:02

It's irritating how a flashlight being used inside a room goes trough the wall of the building and illuminate the outside too, especially in PvP scenarios, where it could give away your position at miles away !

/upvoted
(0023982)
TTc30 (reporter)
2013-04-26 18:44

It looks so ugly and i don't think it's too rescource demanding, there are hundred of shadows already, even saw this feature in GTA SA(even tho it's was a pretty cheap version of it)
(0024092)
Christian_K (reporter)
2013-04-27 19:41

Wont that deffered lighting/shading resolve this issue?

http://forums.bistudio.com/showthread.php?153773-Lighting-tweaking&p=2381174&viewfull=1#post2381174 [^]
(0024540)
MadDogX (moderator)
2013-04-30 08:18

NodUnit's awesome mockup images transferred from 0007885.
(0024678)
NodUnit (reporter)
2013-04-30 12:04

Thank you, and up voted.
(0025986)
sofianebilal (reporter)
2013-05-09 14:03

this is a major problem, it harm a lot to the immersion if it will not solve !
up voted.
(0032766)
NodUnit (reporter)
2013-06-12 06:59

Status went from reviewed to assigned so keep the fingers crossed.
(0035868)
NathanRyan (reporter)
2013-06-26 01:26
edited on: 2013-06-28 01:50

I really hope that this gets fixed. The lighting at night is really great except for the absence shadows. Without this most stealth missions in MP are not possible at night as you cant hide in the shadows.

(0046194)
NordKindchen (reporter)
2013-08-06 14:30

Is this really assinged?!?!?!? I Cannot believe my eyes!

I wrote with the developers about this a year or so ago and they told me it would not get implemented!

So happy to see this!

Nevertheless: Maybe it would be wise to only add this as an option so low cpu players can play arma too. In MP it can be forced on nevertheless, just like gras rendering in Arma II.

Greetings!
(0049459)
JWLEE (reporter)
2013-08-23 12:06

Light source also go through the vehicle. It's very annoying
(0052799)
Alex72 (reporter)
2013-09-08 13:03

I don't care so much for shadows (might be performance thing), but I do care about that light shine through house walls etc. Using flashlights while going through a dark house when PvP'ing is suicide as they can see the flashlight shining right through the walls and out.

Would be very nice if BIS could find a way to stop light from going through walls.
(0053102)
Lord Altair (reporter)
2013-09-10 04:52

If they didn't implement it since ArmA 2 until now it's because critical limitations.
That is for sure. But I see it was assigned anyway... well. If they fix this i will have to kiss the ass at everyone at Bis. period.
(0053111)
Lou Montana (reporter)
2013-09-10 07:32

Be sure to prepare your lip balm though ;o)
(0053533)
Perun89 (reporter)
2013-09-12 10:23
edited on: 2013-09-12 10:24

Your machine would probably implode and made a blackhole in night PVP 20v20 mission with headlights. Well there still are some limitations to the graphical pipelines. This is possible only in engines handling small areas with small numbers of lights.

(0055457)
aoshi (reporter)
2013-09-24 14:21

What assigned means, if they ara aware of the problem, well this arma 2 is the same, so they know, but they will fix it?
(0055464)
Scott_Ripley (reporter)
2013-09-24 15:19

It effects scopes too. Headlights etc. shine right through the player's scopes.
(0059568)
Perun89 (reporter)
2013-11-05 23:28

Well - there still is possible way how to achieve it without your computers to blow up while rendering 3 squads with flashlights. It might be possible to do a per-vertex shading. It will probably look terrible and your computers will just grill, not explode, but you will have your dynamic cast shadows. I mean - it might be possible to prerender the shading for static lights (which is practically useless because it is always possible that some building will blow up and so) but you can not have per pixel dynamic cast shadows on landscape like Altis is. Not yet, not now. (I strongly believe in voxelization and stuff used in unreal engine 4 which might bring some changes into ways things are rendered, but its still kind of new stuff)
(0067208)
Helio (reporter)
2014-03-21 09:23

Very important for immersion and gameplay, upvoted!
(0067251)
macieksoft (reporter)
2014-03-21 16:40

It happens with chemlights inside buildings too. If you place chemlight inside this huge watch tower light will go out of the tower trought floors.
(0072616)
sofianebilal (reporter)
2014-06-11 21:51

dean hall announced that dayz will use a new engine, which will use dynamic shadows, hope this technology may be implanted in arma 3 OR NOT! ;)

http://forums.dayzgame.com/index.php?/topic/199306-dayz-moving-to-new-engine-infusion/ [^]
(0072618)
AD2001 (reporter)
2014-06-11 22:33

That's old news. The "new" engine is, according to some of the Arma 3 devs, a mix of Real Virtuality (Arma series engine) and Enforce (Carrier Command: Gaea Mission engine), with some added features.

- Issue History
Date Modified Username Field Change
2013-03-11 23:31 McFearless New Issue
2013-03-11 23:31 McFearless File Added: 2013-03-11_00004.jpg
2013-03-11 23:33 McFearless Tag Attached: engine
2013-03-11 23:33 McFearless Tag Attached: light
2013-03-11 23:33 McFearless Tag Attached: lighting
2013-03-11 23:33 McFearless Tag Attached: lights
2013-03-11 23:33 McFearless Tag Attached: Shadows
2013-03-11 23:33 McFearless Tag Attached: dynamic lighting
2013-03-11 23:33 McFearless Tag Attached: dynamic lights
2013-03-11 23:33 McFearless Tag Attached: flashlights
2013-03-11 23:33 McFearless Tag Attached: headlights
2013-03-12 00:31 dpatt711 Note Added: 0008054
2013-03-12 06:24 AussieStig Note Added: 0008208
2013-03-12 07:44 SQB-SMA Note Added: 0008224
2013-03-12 13:48 ViiK Note Added: 0008452
2013-03-12 14:38 Zanderflex Note Added: 0008488
2013-03-12 14:54 ViiK Note Added: 0008503
2013-03-12 14:54 ViiK Note Edited: 0008503 View Revisions
2013-03-12 14:55 ViiK Note Edited: 0008503 View Revisions
2013-03-12 15:39 LeYuno Note Added: 0008532
2013-03-12 15:40 LeYuno Tag Attached: chemlights
2013-03-12 15:51 aoshi.S2 Note Added: 0008536
2013-03-12 16:28 Make Love Not War Note Added: 0008570
2013-03-13 08:43 SQB-SMA Note Added: 0008977
2013-03-14 13:36 MadDogX Relationship added has duplicate 0004151
2013-03-14 13:36 MadDogX Relationship added has duplicate 0004146
2013-03-14 20:44 ViiK Note Added: 0010382
2013-03-20 22:51 MadDogX Relationship added has duplicate 0005567
2013-04-02 04:34 zorilya Note Added: 0017781
2013-04-02 04:35 zorilya Note Edited: 0017781 View Revisions
2013-04-02 04:39 zorilya Note Edited: 0017781 View Revisions
2013-04-02 05:46 johncage Note Added: 0017790
2013-04-02 16:13 BlackLord Note Added: 0017950
2013-04-02 17:17 ShotgunSheamuS Note Added: 0017975
2013-04-02 17:20 Triada Note Added: 0017977
2013-04-26 09:51 MadDogX Note Added: 0023778
2013-04-26 09:51 MadDogX Severity major => feature
2013-04-26 09:51 MadDogX Status new => reviewed
2013-04-26 09:51 MadDogX Summary Flashlights (and all other sources of lights) Shine their light through objects => Light sources (except sun and moon) shine their light through objects / do not cast shadows
2013-04-26 09:52 MadDogX Relationship added has duplicate 0004253
2013-04-26 10:02 Kid18120 Note Added: 0023785
2013-04-26 18:44 TTc30 Note Added: 0023982
2013-04-27 19:41 Christian_K Note Added: 0024092
2013-04-30 07:57 MadDogX Relationship added has duplicate 0007885
2013-04-30 07:58 MadDogX File Added: 1L.jpg
2013-04-30 07:59 MadDogX File Added: 1S.jpg
2013-04-30 07:59 MadDogX File Added: 2L.jpg
2013-04-30 08:00 MadDogX File Added: 2S.jpg
2013-04-30 08:00 MadDogX File Added: 3L.jpg
2013-04-30 08:01 MadDogX File Added: 3S.jpg
2013-04-30 08:01 MadDogX File Added: 4L.jpg
2013-04-30 08:01 MadDogX File Added: 4S.jpg
2013-04-30 08:01 MadDogX File Added: 5L.jpg
2013-04-30 08:02 MadDogX File Added: 5S.jpg
2013-04-30 08:18 MadDogX Note Added: 0024540
2013-04-30 12:04 NodUnit Note Added: 0024678
2013-05-05 10:39 Sniperwolf572 Relationship added has duplicate 0008009
2013-05-05 14:47 AD2001 Note Added: 0025312
2013-05-09 14:03 sofianebilal Note Added: 0025986
2013-06-05 09:02 MadDogX Relationship added has duplicate 0009097
2013-06-07 07:47 MadDogX Relationship added has duplicate 0009188
2013-06-09 09:02 MadDogX Relationship added has duplicate 0009345
2013-06-10 12:00 Astaroth Assigned To => dazhbog
2013-06-10 12:00 Astaroth Status reviewed => assigned
2013-06-12 06:59 NodUnit Note Added: 0032766
2013-06-16 13:17 Deadfast Relationship added has duplicate 0009578
2013-06-20 22:41 MadDogX Relationship added has duplicate 0009725
2013-06-26 01:26 NathanRyan Note Added: 0035868
2013-06-28 01:50 NathanRyan Note Edited: 0035868 View Revisions
2013-07-02 03:47 MadDogX Relationship added has duplicate 0010916
2013-08-06 14:30 NordKindchen Note Added: 0046194
2013-08-23 10:32 Sniperwolf572 Relationship added has duplicate 0013213
2013-08-23 12:06 JWLEE Note Added: 0049459
2013-09-08 13:03 Alex72 Note Added: 0052799
2013-09-10 04:52 Lord Altair Note Added: 0053102
2013-09-10 07:32 Lou Montana Note Added: 0053111
2013-09-10 17:27 AD2001 Note Deleted: 0025312
2013-09-12 09:27 MadDogX Relationship added has duplicate 0014325
2013-09-12 09:27 MadDogX Relationship added has duplicate 0014324
2013-09-12 10:23 Perun89 Note Added: 0053533
2013-09-12 10:24 Perun89 Note Edited: 0053533 View Revisions
2013-09-24 14:21 aoshi Note Added: 0055457
2013-09-24 15:19 Scott_Ripley Note Added: 0055464
2013-11-05 19:09 MadDogX Relationship added has duplicate 0015861
2013-11-05 23:28 Perun89 Note Added: 0059568
2014-03-21 09:23 Helio Note Added: 0067208
2014-03-21 16:40 macieksoft Note Added: 0067251
2014-06-11 21:51 sofianebilal Note Added: 0072616
2014-06-11 22:33 AD2001 Note Added: 0072618


Copyright © 2000 - 2014 MantisBT Team